Opennebula 5.12.0.1 upgrade issues

I’ve recently upgraded from Opennebula 5.10.x to Opennebula 5.12.0.1 using the official .rpm repository.

# rpm -qa | grep opennebula
opennebula-5.12.0-1.ce.el7.x86_64
opennebula-common-5.12.0-1.ce.el7.noarch
opennebula-node-kvm-5.12.0-1.ce.el7.noarch
opennebula-common-onescape-5.12.0-1.ce.el7.noarch
opennebula-rubygems-5.12.0-1.ce.el7.x86_64
opennebula-flow-5.12.0-1.ce.el7.noarch
opennebula-ruby-5.12.0-1.ce.el7.noarch
opennebula-gate-5.12.0-1.ce.el7.noarch
opennebula-sunstone-5.12.0-1.ce.el7.noarch
opennebula-server-5.12.0-1.ce.el7.x86_64

I’ve created a backup of the configuration files and then tried to upgrade the database (I’m using the default with sqlite).

onedb upgrade -v -s /var/lib/one/one.db
Version read:
Shared tables 5.10.0 : Database migrated from 5.6.0 to 5.10.0 (OpenNebula 5.9.80) by onedb command.
Local tables  5.10.0 : Database migrated from 5.8.0 to 5.10.0 (OpenNebula 5.9.80) by onedb command.

Sqlite database backup stored in /var/lib/one/one.db_2020-6-25_13:10:18.bck
Use 'onedb restore' to restore the DB.

>>> Running migrators for shared tables
Database already uses version 5.10.0

>>> Running migrators for local tables
Database already uses version 5.10.0

Total time: 0.35s

Now if I try to start the opennebula service:
# systemctl start opennebula
Job for opennebula.service failed because the control process exited with error code. See “systemctl status opennebula.service” and “journalctl -xe” for details.

Thu Jun 25 13:12:31 2020 [Z0][ONE][I]: Log level:3 [0=ERROR,1=WARNING,2=INFO,3=DEBUG]
Thu Jun 25 13:12:31 2020 [Z0][ONE][I]: Support for xmlrpc-c > 1.31: yes
Thu Jun 25 13:12:31 2020 [Z0][ONE][I]: Using hostname: virt.acasa
Thu Jun 25 13:12:31 2020 [Z0][ONE][I]: Checking database version.
Thu Jun 25 13:12:31 2020 [Z0][ONE][E]: Database version mismatch ( local_db_versioning). Installed OpenNebula 5.12.0 (bb6265ba) needs DB version '5.12.0', and existing DB version is '5.10.0'.
Thu Jun 25 13:12:31 2020 [Z0][ONE][E]: Use onedb to upgrade DB.

It’s pretty logical that the service won’t start since yes, the db has version 5.10 and the opennebula package is 5.12.

HOW do I upgrade the database since with the commands from the documentation is not working… (this is the 1st time I’m having such an issue regarding the db upgrade) ???

Oh welcome to the club Towards a Stronger OpenNebula Community

1 Like

----- This post has been deemed offensive and has therefore been deleted. If you are the original author, please refer to our Community Guidelines -----

Since my last reply was deleted because it was considered offensive, I guess there’s nothing else to be said about this. Good luck guys. I would definetely consider other options from now on.

Note: if this is considered offensive as well then you can just delete my account. As long as my language is proper and it’s not containng any offensive words, deleting my post is PURE ABUSE!